    .wa_alert_parent {
        box-sizing: border-box;
        /*height: 100vh;*/
        min-width: 100%;
        min-height: 100%;
        background-color: rgba(172, 160, 149, .8);
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        position: absolute;
        top: 0;
        left: 0;
        z-index: 99999;
    }

    .wa_alert_parent .wa_alert_viewport {
        position: absolute;
        left: 0;
        width: 100vw;
        height: 100vh;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

    .wa_alert_controls {
        box-sizing: border-box;
        background-color: white;
        display: flex;
        flex-direction: column;
        flex-wrap: nowrap;
        min-width: 200px;
        max-width: 600px;
        max-width: 75%;
        min-height: 6rem;
        justify-content: center;
        align-items: center;
        gap: 1rem;
        border-radius: .5rem;
        box-shadow: 0 0 2px 2px #58524b;
    }

    .wa_alert_controls div {
        text-align: center;
        max-width: 100%;
        overflow: hidden;
    }

    .wa_alert_controls div.msg {
        text-align: center;
        max-width: 100%;
        overflow: auto;
    }

    .wa_alert_controls_title {
        width: 100%;
        padding: 0.5rem 0;
        background-color: #00a9a6;
        color: white;
        font-weight: bold;
        border-radius: .5rem .5rem 0 0;
    }

    .wa_alert_controls_button_board {
        padding: 1rem;
    }

    .wa_alert_controls button {
        background-color: #58524b;
        color: white;
        border: none;
        padding: 0.5rem 4ch;
        border-radius: 1ch;
        border: 1px solid black;
    }

    .wa_alert_controls button:active {
        border: 1px solid red;
    }

    .wa_alert_controls button.left {
        margin: 0 1ch 0 0;
    }

    .wa_alert_controls button.right {
        margin: 0 0 0 1ch;
    }